Index: branches/powerups/src/subprojects/framework.cc
===================================================================
--- branches/powerups/src/subprojects/framework.cc	(revision 5848)
+++ branches/powerups/src/subprojects/framework.cc	(revision 5955)
@@ -24,5 +24,5 @@
 #include "resource_manager.h"
 #include "camera.h"
-#include "ini_parser.h"
+#include "parser/ini_parser/ini_parser.h"
 #include "globals.h"
 
Index: branches/powerups/src/subprojects/importer/Makefile.am
===================================================================
--- branches/powerups/src/subprojects/importer/Makefile.am	(revision 5848)
+++ branches/powerups/src/subprojects/importer/Makefile.am	(revision 5955)
@@ -6,5 +6,6 @@
 importer_LDFLAGS = $(MWINDOWS)
 
-bin_PROGRAMS = importer
+bin_PROGRAMS = importer \
+               multitex
 
 importer_LDADD = $(MAINSRCDIR)/lib/event/libORXevent.a \
@@ -32,3 +33,32 @@
                   $(MAINSRCDIR)/lib/util/color.cc \
                   $(MAINSRCDIR)/lib/util/multi_type.cc \
+                  $(MAINSRCDIR)/lib/util/executor/executor.cc \
                   $(MAINSRCDIR)/util/loading/factory.cc
+
+
+multitex_LDADD = $(MAINSRCDIR)/lib/event/libORXevent.a \
+                 $(MAINSRCDIR)/lib/tinyxml/libtinyxml.a \
+                 $(MAINSRCDIR)/lib/graphics/libORXgraphics.a \
+                 $(MAINSRCDIR)/lib/shell/libORXshell.a \
+                 $(MAINSRCDIR)/lib/sound/libORXsound.a \
+                 $(MAINSRCDIR)/lib/graphics/importer/libORXimporter.a
+
+multitex_SOURCES= ../framework.cc \
+                  multitex.cc \
+                  $(MAINSRCDIR)/util/state.cc \
+                  $(MAINSRCDIR)/world_entities/camera.cc \
+                  $(MAINSRCDIR)/lib/lang/base_object.cc \
+                  $(MAINSRCDIR)/lib/lang/class_list.cc \
+                  $(MAINSRCDIR)/lib/math/vector.cc \
+                  $(MAINSRCDIR)/util/loading/resource_manager.cc \
+                  $(MAINSRCDIR)/lib/util/ini_parser.cc \
+                  $(MAINSRCDIR)/lib/coord/p_node.cc \
+                  $(MAINSRCDIR)/lib/coord/null_parent.cc \
+                  $(MAINSRCDIR)/util/loading/load_param.cc \
+                  $(MAINSRCDIR)/util/loading/load_param_description.cc \
+                  $(MAINSRCDIR)/lib/util/helper_functions.cc \
+                  $(MAINSRCDIR)/lib/util/substring.cc \
+                  $(MAINSRCDIR)/lib/util/color.cc \
+                  $(MAINSRCDIR)/lib/util/multi_type.cc \
+                  $(MAINSRCDIR)/lib/util/executor/executor.cc \
+                  $(MAINSRCDIR)/util/loading/factory.cc
Index: branches/powerups/src/subprojects/importer/multitex.cc
===================================================================
--- branches/powerups/src/subprojects/importer/multitex.cc	(revision 5955)
+++ branches/powerups/src/subprojects/importer/multitex.cc	(revision 5955)
@@ -0,0 +1,103 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: Benjamin Grauer
+   co-programmer: ...
+
+   this file extends the framework file, so it renders what i want.
+*/
+
+#include "framework.h"
+
+#include "light.h"
+
+#include "texture_sequence.h"
+#include "material.h"
+
+#include "objModel.h"
+
+#include "primitive_model.h"
+#include <stdlib.h>
+
+#include "resource_manager.h"
+
+Model* obj;
+TextureSequence* seq;
+Texture* test;
+Material* testMat;
+
+float counter = 0;
+
+
+void Framework::moduleInit(int argc, char** argv)
+{
+  ResourceManager::getInstance()->addImageDir("./");
+
+  testMat = new Material;
+
+  seq = new TextureSequence();
+  for (int i = 1; i < argc; i++)
+  {
+    seq->addFrame(argv[i]);
+    printf("%s\n", argv[i]);
+  }
+  test = new Texture(argv[1]);
+  testMat->setDiffuseMap(argv[1]);
+
+  ResourceManager::getInstance()->addImageDir("");
+
+
+  obj = new PrimitiveModel(PRIM_SPHERE, 10.0);
+
+  ResourceManager::getInstance()->debug();
+
+  LightManager* lightMan = LightManager::getInstance();
+  lightMan->setAmbientColor(.1,.1,.1);
+  (new Light())->setAbsCoor(5.0, 10.0, 40.0);
+  (new Light())->setAbsCoor(-10, -20, -100);
+}
+
+void Framework::moduleEventHandler(SDL_Event* event)
+{
+  switch (event->type)
+    {
+    case SDL_KEYDOWN:
+      switch (event->key.keysym.sym)
+        {
+        case SDLK_i:
+          break;
+        }
+    }
+}
+
+void Framework::moduleTick(float dt)
+{
+  counter+=dt;
+
+  seq->gotoFrame((unsigned int)counter);
+  if ((unsigned int)counter > seq->getFrameCount())
+    counter = 0;
+}
+
+void Framework::moduleDraw(void) const
+{
+  testMat->select();
+  glBindTexture(GL_TEXTURE_2D, seq->getTexture());
+  obj->draw();
+
+  LightManager::getInstance()->draw();
+}
+
+
+void Framework::moduleHelp(void) const
+{
+
+}
